<script setup lang="ts">
const props = defineProps<{ username: string }>()
const emit = defineEmits(['remove', 'call'])
</script>

<template>
    <div class="friendCard">
        <h3>{{ username }}</h3>
        <div class="buttonContainer">
            <button @click.prevent="emit('call')" class="call">Call</button>
            <button @click.prevent="emit('remove')" class="remove">Remove</button>
        </div>
    </div>
</template>

<style scoped>

.buttonContainer {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    height: max-content;
    justify-content: center;
}
.friendCard {
    background-color: black;
    color: white;
    padding: 1rem;
    display: flex;
    gap: 1rem;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    max-width: fit-content;
}

button {
    outline: 0;
    border: 0;
    color: white;
    padding: 0;
    padding-inline: 1rem;
    padding-block: .5rem;
    border-radius: 8px;
}

button.remove {
    background-color: red;
}

button.call {
    background-color: green;
}
</style>